airavata-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From lah...@apache.org
Subject svn commit: r1198895 - in /incubator/airavata/branches/0.1-incubating/modules/distribution/resources/bin: jackrabbit-server.sh setenv.sh xbaya-gui.sh
Date Mon, 07 Nov 2011 19:41:40 GMT
Author: lahiru
Date: Mon Nov  7 19:41:40 2011
New Revision: 1198895

URL: http://svn.apache.org/viewvc?rev=1198895&view=rev
Log:
fixing startup issues.

Modified:
    incubator/airavata/branches/0.1-incubating/modules/distribution/resources/bin/jackrabbit-server.sh
    incubator/airavata/branches/0.1-incubating/modules/distribution/resources/bin/setenv.sh
    incubator/airavata/branches/0.1-incubating/modules/distribution/resources/bin/xbaya-gui.sh

Modified: incubator/airavata/branches/0.1-incubating/modules/distribution/resources/bin/jackrabbit-server.sh
URL: http://svn.apache.org/viewvc/incubator/airavata/branches/0.1-incubating/modules/distribution/resources/bin/jackrabbit-server.sh?rev=1198895&r1=1198894&r2=1198895&view=diff
==============================================================================
--- incubator/airavata/branches/0.1-incubating/modules/distribution/resources/bin/jackrabbit-server.sh
(original)
+++ incubator/airavata/branches/0.1-incubating/modules/distribution/resources/bin/jackrabbit-server.sh
Mon Nov  7 19:41:40 2011
@@ -19,4 +19,4 @@
 
 . `dirname $0`/setenv.sh
 
-java -jar $AIRAVATA_HOME/lib/jackrabbit-standalone-2.2.7.jar -p 8081 $*
+$JAVA_HOME/bin/java -jar $AIRAVATA_HOME/lib/jackrabbit-standalone-2.2.7.jar -p 8081 $*

Modified: incubator/airavata/branches/0.1-incubating/modules/distribution/resources/bin/setenv.sh
URL: http://svn.apache.org/viewvc/incubator/airavata/branches/0.1-incubating/modules/distribution/resources/bin/setenv.sh?rev=1198895&r1=1198894&r2=1198895&view=diff
==============================================================================
--- incubator/airavata/branches/0.1-incubating/modules/distribution/resources/bin/setenv.sh
(original)
+++ incubator/airavata/branches/0.1-incubating/modules/distribution/resources/bin/setenv.sh
Mon Nov  7 19:41:40 2011
@@ -19,6 +19,34 @@
 
 
 # Get standard environment variables
+# if JAVA_HOME is not set we're not happy
+if [ -z "$JAVA_HOME" ]; then
+  echo "You must set the JAVA_HOME variable before running Airavata Scripts."
+  exit 1
+fi
+
+# OS specific support.  $var _must_ be set to either true or false.
+cygwin=false
+os400=false
+case "`uname`" in
+CYGWIN*) cygwin=true;;
+OS400*) os400=true;;
+esac
+
+# resolve links - $0 may be a softlink
+PRG="$0"
+
+while [ -h "$PRG" ]; do
+  ls=`ls -ld "$PRG"`
+  link=`expr "$ls" : '.*-> \(.*\)$'`
+  if expr "$link" : '.*/.*' > /dev/null; then
+    PRG="$link"
+  else
+    PRG=`dirname "$PRG"`/"$link"
+  fi
+done
+
+
 PRGDIR=`dirname "$PRG"`
 
 # Only set AIRAVATA_HOME if not already set
@@ -29,7 +57,6 @@ for f in "$AIRAVATA_HOME"/lib/*.jar
 do
   XBAYA_CLASSPATH="$XBAYA_CLASSPATH":$f
 done
-XBAYA_CLASSPATH="$XBAYA_HOME":"$XBAYA_HOME/conf":"$JAVA_HOME/lib/tools.jar":"$XBAYA_CLASSPATH":"$CLASSPATH"
 
 for f in "$AIRAVATA_HOME"/standalone-server/lib/*.jar
 do

Modified: incubator/airavata/branches/0.1-incubating/modules/distribution/resources/bin/xbaya-gui.sh
URL: http://svn.apache.org/viewvc/incubator/airavata/branches/0.1-incubating/modules/distribution/resources/bin/xbaya-gui.sh?rev=1198895&r1=1198894&r2=1198895&view=diff
==============================================================================
--- incubator/airavata/branches/0.1-incubating/modules/distribution/resources/bin/xbaya-gui.sh
(original)
+++ incubator/airavata/branches/0.1-incubating/modules/distribution/resources/bin/xbaya-gui.sh
Mon Nov  7 19:41:40 2011
@@ -18,5 +18,5 @@
 # under the License.
 
 . `dirname $0`/setenv.sh
-java $JAVA_OPTS -classpath "$XBAYA_CLASSPATH" \
+$JAVA_HOME/bin/java $JAVA_OPTS -classpath "$XBAYA_CLASSPATH" \
     org.apache.airavata.xbaya.XBaya $* 



Mime
View raw message